import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/partner-fees/index.ts
function createPartnerFeesResource(client) {
  return {
    list({
      instanceId
    }) {
      return client.get(`/instances/${instanceId}/partner-fees`);
    },
    create(_a) {
      var _b = _a, {
        instanceId
      } = _b, data = __objRest(_b, [
        "instanceId"
      ]);
      return client.post(`/instances/${instanceId}/partner-fees`, data);
    },
    get({
      instanceId,
      id
    }) {
      return client.get(`/instances/${instanceId}/partner-fees/${id}`);
    },
    delete({ instanceId, id }) {
      return client.delete(`/instances/${instanceId}/partner-fees/${id}`);
    }
  };
}
var init_partner_fees = __esm({
  "src/resources/partner-fees/index.ts"() {
  }
});

export {
  createPartnerFeesResource,
  init_partner_fees
};
